Package org.silverpeas.components.community.notification.user

## Class AbstractCommunityUserNotificationBuilder

- java.lang.Object
- - org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder
  - - org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder<T>
    - - org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<CommunityOfUsers>
      - - org.silverpeas.components.community.notification.user.AbstractCommunityUserNotificationBuilder

- All Implemented Interfaces:
    `org.silverpeas.core.notification.user.builder.UserNotificationBuilder`
  Direct Known Subclasses:
    `MembershipLeaveUserNotificationBuilder`, `MembershipRequestUserNotificationBuilder`, `MembershipRequestValidationUserNotificationBuilder`

      public abstract class AbstractCommunityUserNotificationBuilder
      extends org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<CommunityOfUsers>

  Author:
    silveryocha

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

      `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder.NotificationTemporal`

  - ### Field Summary

    - ### Fields inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

      `CUSTOM_NOTIFICATION_SUBJECT, DEFAULT_NOTIFICATION_SUBJECT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractCommunityUserNotificationBuilder​(CommunityOfUsers resource)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.silverpeas.core.notification.user.client.constant.NotifAction` | `getAction()` |
    `protected String` | `getComponentInstanceId()` |
    `protected String` | `getContributionAccessLinkLabelBundleKey()` |
    `protected String` | `getLocalizationBundlePath()` |
    `protected String` | `getResourceURL​(CommunityOfUsers resource)` |
    `protected String` | `getSender()` |
    `protected org.silverpeas.core.admin.space.SpaceInst` | `getSpace()` |
    `protected org.silverpeas.core.admin.service.SpaceProfile` | `getSpaceManagerProfile()` |
    `protected String` | `getTemplatePath()` |
    `protected boolean` | `isSendImmediately()` |
    `protected void` | `performNotificationResource​(String language, CommunityOfUsers resource, org.silverpeas.core.notification.user.model.NotificationResourceData notificationResourceData)` |
    `protected void` | `performTemplateData​(String language, CommunityOfUsers resource, org.silverpeas.core.template.SilverpeasTemplate template)` |

    - ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

      `createNotification, getBundleSubjectKey, getTemplateFileName, getTitle, getTitle, perform, performBuild, performNotificationResource, performNotificationResource`

    - ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder

      `getResource, initialize, initializeNotificationResourceData, isGroupCanBeNotified, isUserCanBeNotified, performBuild, setResource`

    - ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder

      `build, getBundle, getBundle, getContent, getExternalAddressesToNotify, getGroupIdsToNotify, getMessageType, getNotificationMetaData, getUserIdsToExcludeFromNotifying, getUserIdsToNotify, stop, stopWhenNoUserToNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractCommunityUserNotificationBuilder

          public AbstractCommunityUserNotificationBuilder​(CommunityOfUsers resource)

  - ### Method Detail

    - #### getLocalizationBundlePath

          protected String getLocalizationBundlePath()

      Overrides:
        `getLocalizationBundlePath` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

    - #### getTemplatePath

          protected String getTemplatePath()

      Specified by:
        `getTemplatePath` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<CommunityOfUsers>`

    - #### getAction

          protected org.silverpeas.core.notification.user.client.constant.NotifAction getAction()

      Specified by:
        `getAction` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

    - #### getComponentInstanceId

          protected String getComponentInstanceId()

      Specified by:
        `getComponentInstanceId` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

    - #### getSender

          protected String getSender()

      Specified by:
        `getSender` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

    - #### getSpace

          protected org.silverpeas.core.admin.space.SpaceInst getSpace()

    - #### performNotificationResource

          protected void performNotificationResource​(String language,
                                                     CommunityOfUsers resource,
                                                     org.silverpeas.core.notification.user.model.NotificationResourceData notificationResourceData)

      Specified by:
        `performNotificationResource` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<CommunityOfUsers>`

    - #### performTemplateData

          protected void performTemplateData​(String language,
                                             CommunityOfUsers resource,
                                             org.silverpeas.core.template.SilverpeasTemplate template)

      Specified by:
        `performTemplateData` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<CommunityOfUsers>`

    - #### isSendImmediately

          protected boolean isSendImmediately()

      Overrides:
        `isSendImmediately` in class `org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder<CommunityOfUsers>`

    - #### getResourceURL

          protected String getResourceURL​(CommunityOfUsers resource)

      Overrides:
        `getResourceURL` in class `org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder<CommunityOfUsers>`

    - #### getContributionAccessLinkLabelBundleKey

          protected String getContributionAccessLinkLabelBundleKey()

      Overrides:
        `getContributionAccessLinkLabelBundleKey` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<CommunityOfUsers>`

    - #### getSpaceManagerProfile

          protected org.silverpeas.core.admin.service.SpaceProfile getSpaceManagerProfile()